
QGIS Application - Bug report #16405

Segmentation fault in QgsContrastEnhancement::enhanceContrast

2017-04-02 04:14 AM - Simon Legner

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.18.4 Regression?: No

Operating System: Arch Linux x86_64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24314

Description

Opening the Sentinel-1 image s1a-iw1-slc-vh-20170330t051804-20170330t051832-015917-01a3d8-001.tiff official download requiring

login]) in QGIS 2.18.5 causes a Segmentation fault:

Thread 7 "Thread (pooled)" received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7fffaa90a700 (LWP 5479)]

0x00007ffff648d86b in QgsContrastEnhancement::enhanceContrast(double) () from /usr/lib/libqgis_core.so.2.18.5

(gdb) bt

#0  0x00007ffff648d86b in QgsContrastEnhancement::enhanceContrast(double) () at /usr/lib/libqgis_core.so.2.18.5

#1  0x00007ffff64ced71 in QgsSingleBandGrayRenderer::block2(int, QgsRectangle const&, int, int, QgsRasterBlockFeedback*)

()

    at /usr/lib/libqgis_core.so.2.18.5

#2  0x00007ffff64b7fe9 in QgsBrightnessContrastFilter::block2(int, QgsRectangle const&, int, int, QgsRasterBlockFeedback*) ()

    at /usr/lib/libqgis_core.so.2.18.5

#3  0x00007ffff64bad5e in QgsHueSaturationFilter::block2(int, QgsRectangle const&, int, int, QgsRasterBlockFeedback*) ()

    at /usr/lib/libqgis_core.so.2.18.5

#4  0x00007ffff64cdb5a in QgsRasterResampleFilter::block2(int, QgsRectangle const&, int, int, QgsRasterBlockFeedback*) ()

    at /usr/lib/libqgis_core.so.2.18.5

#5  0x00007ffff64b2080 in QgsRasterProjector::block2(int, QgsRectangle const&, int, int, QgsRasterBlockFeedback*) ()

    at /usr/lib/libqgis_core.so.2.18.5

#6  0x00007ffff649ee40 in QgsRasterIterator::readNextRasterPart(int, int&, int&, QgsRasterBlock**, int&, int&) ()

    at /usr/lib/libqgis_core.so.2.18.5

#7  0x00007ffff64c056d in QgsRasterDrawer::draw(QPainter*, QgsRasterViewPort*, QgsMapToPixel const*, QgsRenderContext

const*, QgsRasterBlockFeedback*) () at /usr/lib/libqgis_core.so.2.18.5

#8  0x00007ffff64ab567 in  () at /usr/lib/libqgis_core.so.2.18.5

#9  0x00007ffff620cf7a in QgsMapRendererCustomPainterJob::doRender() () at /usr/lib/libqgis_core.so.2.18.5

#10 0x00007ffff620d009 in QgsMapRendererCustomPainterJob::staticRender(QgsMapRendererCustomPainterJob*) ()

    at /usr/lib/libqgis_core.so.2.18.5

#11 0x00007ffff620dd6c in  () at /usr/lib/libqgis_core.so.2.18.5

#12 0x00007ffff58e735a in  () at /usr/lib/libQtCore.so.4

#13 0x00007ffff58f404a in  () at /usr/lib/libQtCore.so.4

#14 0x00007fffefd7f2e7 in start_thread () at /usr/lib/libpthread.so.0

#15 0x00007ffff42db54f in clone () at /usr/lib/libc.so.6

Image s1a-iw1-slc-vh-20170330t051804-20170330t051832-015917-01a3d8-001.tiff:

    -  1.3G – sorry!

    -  official download requiring login: 

https://scihub.copernicus.eu/dhus/odata/v1/Products(%271d4e8bc8-c054-46a0-8b89-8cae12605e3c%27)/Nodes(%27S1A_IW_SLC_

1SDV_20170330T051804_20170330T051832_015917_01A3D8_6227.SAFE%27)/Nodes(%27measurement%27)/Nodes(%27s1a-iw1-slc-vh-20170330t051804-20170330t051832-015917-01a3d8-001.tiff%27)/$value

-slc-vh-20170330t051804-20170330t051832-015917-01a3d8-001.tiff%27)/$value
https://scihub.copernicus.eu/dhus/odata/v1/Products(%271d4e8bc8-c054-46a0-8b89-8cae12605e3c%27)/Nodes(%27S1A_IW_SLC__1SDV_20170330T051804_20170330T051832_015917_01A3D8_6227.SAFE%27)/Nodes(%27measurement%27)/Nodes(%27s1a-iw1-slc-vh-20170330t051804-20170330t051832-015917-01a3d8-001.tiff%27)/$value
https://scihub.copernicus.eu/dhus/odata/v1/Products(%271d4e8bc8-c054-46a0-8b89-8cae12605e3c%27)/Nodes(%27S1A_IW_SLC__1SDV_20170330T051804_20170330T051832_015917_01A3D8_6227.SAFE%27)/Nodes(%27measurement%27)/Nodes(%27s1a-iw1-slc-vh-20170330t051804-20170330t051832-015917-01a3d8-001.tiff%27)/$value
https://scihub.copernicus.eu/dhus/odata/v1/Products(%271d4e8bc8-c054-46a0-8b89-8cae12605e3c%27)/Nodes(%27S1A_IW_SLC__1SDV_20170330T051804_20170330T051832_015917_01A3D8_6227.SAFE%27)/Nodes(%27measurement%27)/Nodes(%27s1a-iw1-slc-vh-20170330t051804-20170330t051832-015917-01a3d8-001.tiff%27)/$value


    -  alternative download: http://151.236.11.141/s1a-iw1-slc-vh-20170330t051804-20170330t051832-015917-01a3d8-001.tiff

Associated revisions

Revision b861db47 - 2017-11-14 12:08 PM - Even Rouault

[Raster] Do not crash when displaying a raster with complex datatype (fixes #16405)

That said, complex datatypes are not handled, so QGIS cannot do anything useful

with such datasets.

Revision ff683a6e - 2017-11-14 12:15 PM - Even Rouault

[Raster] Do not crash when displaying a raster with complex datatype (fixes #16405)

That said, complex datatypes are not handled, so QGIS cannot do anything useful

with such datasets.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-11-14 12:09 PM - Even Rouault

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b861db47f58b8488966f41232ed0d2a637d93159.
